unit Unit21;
 {dbridage de BzTournoi}

interface

uses aprop,inifiles,sysutils,unit22,unit23;

function litini:boolean;
function decode:boolean;
function recode:boolean;
function totalise:boolean;
function enregistre:boolean;
function majini:boolean;

var nom,clefxor:string;
    codelu:string;
    numerique:longint;
    modxor,mod251,mod97:longint;

implementation
uses tournoi;

procedure ecritcode;
var fichier:file of char;
    n:byte;
    taille:word;
begin

{$i-}
taille:=length(codelu);
assignfile(fichier,chemin+'code.mdp');
rewrite(fichier);
for n:=1 to taille do
write(fichier,codelu[n]);
closefile(fichier);
{$i+}
end;

procedure litcode;
var fichier:file of char;
    n:byte;
    taille:word;
    carac:char;
begin
codelu:='';

taille:=length(nom);

if fileexists(chemin+'code.mdp') then
begin
{$i-}
assignfile(fichier,chemin+'code.mdp');
reset(fichier);
for n:=1 to taille do
begin
read(fichier,carac);
codelu:=codelu+carac;
end;
closefile(fichier);
{$i+}
end;

end;

function enregistre:boolean;
begin
if fileexists(chemin+'Tournoi.ini') then
   begin
   licence.showmodal;
   {on lance la demande de numro de licence}
   {puis on cre le codelu et on met  jour l'ini
   si demande de numro de licence 3 X incorrect, on accde
    nouveau  la demande d'information}
   end
   else begin
   {on lance la demande d'informations, on cre le ini
   et on imprime/envoie le bon de commande}
   enregistrer.showmodal;
   end;
end;

function litini:boolean;
var prenom:string;
   bool:boolean;
fichier:tinifile;
begin
if fileexists(chemin+'Tournoi.ini') then
begin
{$i-}
prenom:=expandfilename(chemin+'Tournoi.ini');
fichier:=tinifile.create(prenom);
nom:=fichier.readstring('identifiant','nom','');
enregistrer.edit1.text:=nom;
prenom:=fichier.readstring('identifiant','prnom','');
enregistrer.edit2.text:=prenom;
prenom:=lowercase(prenom);
if length(prenom)>1 then prenom[1]:=upcase(prenom[1]);
nom:=uppercase(nom)+' '+prenom;
{faire aussi tous les autres !!!}
prenom:=fichier.readstring('identifiant','adresse1','');
enregistrer.edit3.text:=prenom;
prenom:=fichier.readstring('identifiant','adresse2','');
enregistrer.edit4.text:=prenom;
prenom:=fichier.readstring('identifiant','cp','');
enregistrer.edit5.text:=prenom;
prenom:=fichier.readstring('identifiant','ville','');
enregistrer.edit6.text:=prenom;
prenom:=fichier.readstring('identifiant','pays','');
enregistrer.edit7.text:=prenom;
prenom:=fichier.readstring('identifiant','courriel','');
enregistrer.edit8.text:=prenom;
bool:=fichier.readbool('identifiant','justificatif',false);
enregistrer.checkbox1.checked:=bool;
bool:=fichier.readbool('identifiant','envoipostal',false);
enregistrer.radiobutton2.checked:=bool;
enregistrer.radiobutton1.checked:=not bool;
numerique:=fichier.readinteger('enregistrement','licence',0);
str(numerique,prenom);
licence.edit1.text:=prenom;
clefxor:=aboutbox.copyright.caption;
fichier.free;
{codelu:=fichier.readstring('enregistrement','code','shareware');}
{$i+}
litcode;
end;
end;

function decode:boolean;
var m,n,nb1,nb2:byte;
begin
m:=1;
for n:=1 to length(codelu) do
    begin
    nb1:=ord(codelu[n]);
    {dcalage de 4}
    nb2:=nb1 shl 4;
    nb1:=(nb1 shr 4) or nb2;

    {clef xor}
    nb2:=ord(clefxor[n]);
    nb1:=nb1 xor nb2;
    codelu[n]:=chr(nb1);
    inc(m);
    if m>length(clefxor) then m:=1;
    end;
end;

function recode:boolean;
var m,n,nb1,nb2:byte;
begin
m:=1;
for n:=1 to length(codelu) do
    begin
    nb1:=ord(codelu[n]);
    {clef xor}
    nb2:=ord(clefxor[n]);
    nb1:=nb1 xor nb2;
    {dcalage de 4}
    nb2:=nb1 shl 4;
    nb1:=(nb1 shr 4) or nb2;
    codelu[n]:=chr(nb1);
    inc(m);
    if m>length(clefxor) then m:=1;
    end;
end;


function totalise:boolean;
var nombre:longint;
n:byte;
begin
nombre:=0;
for n:=1 to length(codelu) do nombre:=nombre+ord(codelu[n]);
mod251:=nombre mod 251;
mod97:=nombre mod 97;
nombre:=0;
for n:=1 to length(clefxor) do nombre:=nombre+ord(clefxor[n]);
modxor:=nombre mod 251;
nombre:=modxor*1000000+mod251*1000+mod97 ;
if numerique=nombre then
   begin
   form1.ouvrir1.enabled:=true;
   if fileexists(chemin+'logo.bmp') then form1.image1.picture.loadfromfile(chemin+'logo.bmp');
   form1.enregistrer1.enabled:=true;
   form1.label3.caption:='Enregistr par';
   form1.label2.caption:=codelu;
   result:=true;
   {centrer les lignes}
   end else
   begin
   form1.ouvrir1.enabled:=false;
   form1.enregistrer1.enabled:=false;
   form1.label3.caption:='Version shareware';
   form1.label2.caption:=' ';
   result:=false;
   end;
form1.label3.left:=(form1.width-form1.label3.width) div 2;
form1.label2.left:=(form1.width-form1.label2.width) div 2;


end;

function majini:boolean;
var prenom:string;
    fichier:tinifile;
begin
prenom:=expandfilename(chemin+'Tournoi.ini');
fichier:=tinifile.create(prenom);
fichier.writestring('identifiant','nom',enregistrer.edit1.text);
fichier.writestring('identifiant','prnom',enregistrer.edit2.text);
fichier.writestring('identifiant','adresse1',enregistrer.edit3.text);
fichier.writestring('identifiant','adresse2',enregistrer.edit4.text);
fichier.writestring('identifiant','cp',enregistrer.edit5.text);
fichier.writestring('identifiant','ville',enregistrer.edit6.text);
fichier.writestring('identifiant','pays',enregistrer.edit7.text);
fichier.writestring('identifiant','courriel',enregistrer.edit8.text);

fichier.WriteBool('identifiant','justificatif',enregistrer.checkbox1.checked);
fichier.WriteBool('identifiant','envoipostal',enregistrer.radiobutton2.checked);


fichier.writestring('enregistrement','licence',licence.edit1.text);

fichier.free;
ecritcode;
{fichier.writestring('enregistrement','code',codelu);}
end;

end.
