unit Unit6;
{menu joueur|visualisation}

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls,unit3,unit7;

type
  TBtnBottomDlg4 = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    Bevel1: TBevel;
    ListBox11: TListBox;
    procedure FormShow(Sender: TObject);
    procedure HelpBtnClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public

    { Public declarations }
  end;
  function convertit(depart:string):string;
var
  BtnBottomDlg4: TBtnBottomDlg4;

implementation

{$R *.DFM}

function convertit(depart:string):string;
var chaine:string;
    numero,erreur:integer;
begin
if pos('= N',depart)>0 then
   begin
   chaine:=copy(depart,pos('= N',depart)+3,length(depart)-pos('= N',depart)-2);
   val(chaine,numero,erreur);
   numero:=(numero-1)*4+1;
   str(numero,chaine);
   chaine:='Joueur n '+chaine;
   depart:=copy(depart,1,pos('= N',depart)-1)+chaine;
   end;
if pos('= S',depart)>0 then
   begin
   chaine:=copy(depart,pos('= S',depart)+3,length(depart)-pos('= S',depart)-2);
   val(chaine,numero,erreur);
   numero:=(numero-1)*4+2;
   str(numero,chaine);
   chaine:='Joueur n '+chaine;
   depart:=copy(depart,1,pos('= S',depart)-1)+chaine;
   end;
if pos('= E',depart)>0 then
   begin
   chaine:=copy(depart,pos('= E',depart)+3,length(depart)-pos('= E',depart)-2);
   val(chaine,numero,erreur);
   numero:=(numero-1)*4+3;
   str(numero,chaine);
   chaine:='Joueur n '+chaine;
   depart:=copy(depart,1,pos('= E',depart)-1)+chaine;
   end;
if pos('= O',depart)>0 then
   begin
   chaine:=copy(depart,pos('= O',depart)+3,length(depart)-pos('= O',depart)-2);
   val(chaine,numero,erreur);
   numero:=(numero-1)*4+4;
   str(numero,chaine);
   chaine:='Joueur n '+chaine;
   depart:=copy(depart,1,pos('= O',depart)-1)+chaine;
   end;
convertit:=depart;
end;


procedure TBtnBottomDlg4.FormShow(Sender: TObject);

var joueurs,n:integer;
    chaine:string;
begin
listbox11.clear;   {visualisation dynamique !}
joueurs:=form3.listbox1.items.count;
if joueurs<>0 then
   begin
   for n:=0 to joueurs-1 do
       begin
       chaine:=form3.listbox1.items[n];
       if (joueurs=12) or (joueurs=16) then
           if btnrightdlg.checkbox1.checked=true then chaine:=convertit(chaine);
       if pos('= N',chaine)>0 then
          chaine:=copy(chaine,1,pos('= N',chaine)-1)+'NORD '
               +copy(chaine,pos('= N',chaine)+3,
               length(chaine)-pos('= N',chaine)-2) else
       if pos('= S',chaine)>0 then
          chaine:=copy(chaine,1,pos('= S',chaine)-1)+'SUD '
               +copy(chaine,pos('= S',chaine)+3,
               length(chaine)-pos('= S',chaine)-2) else
       if pos('= O',chaine)>0 then
          chaine:=copy(chaine,1,pos('= O',chaine)-1)+'OUEST '
               +copy(chaine,pos('= O',chaine)+3,
               length(chaine)-pos('= O',chaine)-2) else
       if pos('= E',chaine)>0 then
          chaine:=copy(chaine,1,pos('= E',chaine)-1)+'EST '
               +copy(chaine,pos('= E',chaine)+3,
               length(chaine)-pos('= E',chaine)-2);
       if pos('CHAISE VIDE',chaine)=0 then listbox11.items.add(chaine);
       end; {pour chaque joueur}
   end; {joueur<>0}
end;

procedure TBtnBottomDlg4.HelpBtnClick(Sender: TObject);
begin
application.helpjump('index');
end;

procedure TBtnBottomDlg4.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if key=vk_f1 then application.helpjump('sommaire');
end;

end.
