unit Unit7;
   {menu fichier|dplacement}
interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, Spin, ExtCtrls;

type
  TBtnRightDlg = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Edit1: TEdit;
    CheckBox3: TCheckBox;
    Panel1: TPanel;
    SpinEdit4: TSpinEdit;
    Label4: TLabel;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    Label2: TLabel;
    SpinEdit2: TSpinEdit;
    SpinEdit3: TSpinEdit;
    Label3: TLabel;
    procedure HelpBtnClick(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  BtnRightDlg: TBtnRightDlg;

implementation
uses tournoi;
{$R *.DFM}

procedure TBtnRightDlg.HelpBtnClick(Sender: TObject);
begin
application.helpjump('depltour');
end;

procedure TBtnRightDlg.OKBtnClick(Sender: TObject);
begin
form1.haschanged:=true;
end;

procedure TBtnRightDlg.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if key=vk_f1 then application.helpjump('deplace');
end;

procedure TBtnRightDlg.CheckBox1Click(Sender: TObject);
begin
if checkbox1.checked then
   begin
   panel1.enabled:=false;
   checkbox3.Checked:=false;
   spinedit1.value:=0;
   spinedit2.value:=2;
   spinedit3.value:=-2;
   spinedit4.value:=1;
   spinedit1.color:=clinactiveborder;
   spinedit2.color:=clinactiveborder;
   spinedit3.color:=clinactiveborder;
   spinedit4.color:=clinactiveborder;
   end else
   begin
   panel1.enabled:=true;
   spinedit1.color:=clwindow;
   spinedit2.color:=clwindow;
   spinedit3.color:=clwindow;
   spinedit4.color:=clwindow;
   end;
end;

procedure TBtnRightDlg.CheckBox3Click(Sender: TObject);
begin
if checkbox3.checked then
   begin
   panel1.enabled:=false;
   checkbox1.Checked:=false;
   spinedit1.color:=clinactiveborder;
   spinedit2.color:=clinactiveborder;
   spinedit3.color:=clinactiveborder;
   spinedit4.color:=clinactiveborder;
   end else
   begin
   panel1.enabled:=true;
   spinedit1.color:=clwindow;
   spinedit2.color:=clwindow;
   spinedit3.color:=clwindow;
   spinedit4.color:=clwindow;
   end;

end;

procedure TBtnRightDlg.CheckBox2Click(Sender: TObject);
begin
if checkbox2.checked then edit1.enabled:=true else edit1.enabled:=false;

end;

end.

