unit Aprop;
{menu aide|a propos de}
interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls,sysutils,shellapi;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProgramIcon: TImage;
    Produit: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label1: TLabel;
    procedure OKButtonClick(Sender: TObject);
    procedure Label6Click(Sender: TObject);
    procedure OpenObject(sObjectPath : PChar);
    procedure Label5Click(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label5MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label6MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.OpenObject(sObjectPath : PChar);
begin
 ShellExecute(0, Nil, sObjectPath, Nil, Nil, SW_NORMAL);
end;

procedure TAboutBox.OKButtonClick(Sender: TObject);
begin
aboutbox.close
end;

procedure TAboutBox.Label6Click(Sender: TObject);

var TempString : array[0..79] of char;
begin
StrPCopy(TempString,label6.Caption);
OpenObject(TempString);
end;



procedure TAboutBox.Label5Click(Sender: TObject);

var chaine:string;
    TempString : array[0..79] of char;
begin
chaine:='MAILTO:'+label5.Caption;
StrPCopy(TempString,chaine);
OpenObject(TempString);
end;


procedure TAboutBox.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
label5.font.color:=clpurple;
label5.font.style:=label5.font.style-[fsunderline];
label6.font.style:=label6.font.style-[fsunderline];
label6.font.color:=clpurple;

end;

procedure TAboutBox.Label5MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
  
begin
label6.font.style:=label6.font.style-[fsunderline];
label6.font.color:=clpurple;
label5.font.color:=clblue;
label5.font.style:=label5.font.style+[fsunderline];
end;

procedure TAboutBox.Label6MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
label5.font.color:=clpurple;
label5.font.style:=label5.font.style-[fsunderline];
label6.font.color:=clblue;
label6.font.style:=label6.font.style+[fsunderline];
end;

procedure TAboutBox.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if key=vk_f1 then application.helpjump('sommaire');
end;

end.

