unit Unit1;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls,unit13, ExtCtrls,sysutils;

type
  TBtnBottomDlg19 = class(TForm)
    OKBtn: TBitBtn;
    HelpBtn: TBitBtn;
    Bevel1: TBevel;
    Memo1: TMemo;
    procedure FormActivate(Sender: TObject);
    function trous(tables:integer;liste:tstringlist):boolean;
    procedure additionne(liste:tstringlist);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  BtnBottomDlg19: TBtnBottomDlg19;

implementation
 uses tournoi;
{$R *.DFM}

function tbtnbottomdlg19.trous(tables:integer;liste:tstringlist):boolean;
{vrification des lignes de N1,S1,E1,O1  N14...}
var m,n,nbtable:integer;
    nord,sud,est,ouest,temp:string;
    bresult,total,bnord,bsud,bouest,best:boolean;
begin
bresult:=true;
nbtable:=liste.count div 4;
for n:=1 to tables do
    begin
    str(n,temp);
    nord:='N'+temp+'=';
    sud:='S'+temp+'=';
    est:='E'+temp+'=';
    Ouest:='O'+temp+'=';
    m:=0;
    total:=false;
    bnord:=false;
    best:=false;
    bouest:=false;
    bsud:=false;
    while (m<liste.count) and (total=false) do
          begin
          if pos(nord,liste[m])>0 then bnord:=true;
          if pos(sud,liste[m])>0 then bsud:=true;
          if pos(est,liste[m])>0 then best:=true;
          if pos(ouest,liste[m])>0 then bouest:=true;
          if bnord and best and bouest and bsud then total:=true;
          inc(m);
          end;
    {rajouter dans memo1.lines les manquants}
    if total=false then
       begin
       bresult:=total;
       if bnord=false then
          begin
          nord:=copy(nord,1,length(nord)-1)+' non trouv';
          memo1.lines.add(nord);
          end;
       if bouest=false then
          begin
          ouest:=copy(ouest,1,length(ouest)-1)+' non trouv';
          memo1.lines.add(ouest);
          end;
       if best=false then
          begin
          est:=copy(est,1,length(est)-1)+' non trouv';
          memo1.lines.add(est);
          end;
       if bsud=false then
          begin
          sud:=copy(sud,1,length(sud)-1)+' non trouv';
          memo1.lines.add(sud);
          end;
       end;
    end;
trous:=bresult;
end ;

procedure tbtnbottomdlg19.additionne(liste:tstringlist);
var n,erreur:integer;
chaine:string;
total,score:longint;
begin
total:=0;
for n:=0 to liste.count-1 do
    begin
    chaine:=liste[n];
    if pos('=',chaine)> 0 then
       begin
       chaine:=copy(chaine,pos('=',chaine)+1,length(chaine)-pos('=',chaine));
       val(chaine,score,erreur);
       if erreur=0 then total:=total+score;
       end;
    end;
if total=0 then memo1.lines.add('Scores vrifis OK.') else
   begin
   str(total,chaine);
   chaine:='total des scores : '+chaine+ ' *** ATTENTION ***';
   memo1.lines.add(chaine);
   end;
end;

procedure TBtnBottomDlg19.FormActivate(Sender: TObject);
var liste1,liste2:tstringlist;
    n,num:integer;
    bis,chaine:string;

begin
memo1.lines.add(datetimetostr(now)+' : dmarrage du diagnostic.');
liste1:=tstringlist.create;
liste2:=tstringlist.create;
{sauvegarder le classement gnral}
liste1.addstrings(BtnBottomDlg14.stringgrid1.cols[1]);
liste2.addstrings(BtnBottomDlg14.stringgrid1.cols[2]);
if liste1.count>0 then
begin {il existe un classement gnral}
for n:=0 to liste1.count-1 do
    begin
    chaine:=liste1.strings[n];
    if pos('NORD ',chaine)>0 then chaine:='N'+copy(chaine,6,length(chaine)-5);
    if pos('OUEST ',chaine)>0 then chaine:='O'+copy(chaine,7,length(chaine)-6);
    if pos('EST ',chaine)>0 then chaine:='E'+copy(chaine,5,length(chaine)-4);
    if pos('SUD ',chaine)>0 then chaine:='S'+copy(chaine,5,length(chaine)-4);
    chaine:=chaine+'='+liste2.strings[n];
    liste1.strings[n]:=chaine;
    end; {pour chaque ligne du classement gnral}
liste1.savetofile( chemin+'classgen.dia');
memo1.lines.add('Classement gnral rcupr');
end; {sauvegarde du classement gnral}
memo1.lines.add('Vrification des inscriptions');
if fileexists( chemin+'position.tmp') then
liste2.loadfromfile( chemin+'position.tmp')
else memo1.lines.add('Les positions sont absentes.*** ATTENTION ***');
if fileexists( chemin+'position.tmp') then
liste1.loadfromfile( chemin+'inscrits.tmp');
n:=liste2.count-liste1.count;
str(liste1.count,chaine);
if (n>-1) and (n<4) then
   begin
   chaine:=chaine+' joueurs inscrits. OK';
   memo1.lines.add(chaine);
   end;
if n<0 then
   begin
   str(n*-1,chaine);
   chaine:=chaine+' joueurs sans position !*** ATTENTION ***';
   {on peut les dtecter, comparer nom et nom}
   memo1.lines.add(chaine);
   end;
if n>3 then
   begin
   str(n,chaine);
   chaine:=chaine+' joueurs perdus !*** ATTENTION ***';
   {on peut galement les retrouver par la mme comparaison}
   memo1.lines.add(chaine);
   end;
{on peut galement vrifier l'absence de "trou" dans les positions}
if fileexists( chemin+'tour1.tmp')
   then begin


   chaine:='tour1.tmp';
   num:=1;
   while fileexists( chemin+chaine) do
      begin
      num:=num+1;
      liste1.loadfromfile( chemin+chaine);

      str(liste1.count,bis);
      str(num-1,chaine);
      bis:='tour n'+chaine+' : '+bis + ' scores.';
      if liste1.count=liste2.count then
         begin
         bis:=bis+'OK';
         memo1.lines.add(bis);
         end else
         begin
         bis:=bis+' *** ATTENTION ***' ;
         memo1.lines.add(bis);
         if trous(liste2.count,liste1)=false then
         memo1.lines.add('Ce fichier doit tre corrig.');
         end;
      additionne(liste1);
      str(num,chaine);
      chaine:='tour'+chaine+'.tmp';
      end;

   end; {tourN.tmp}
if fileexists( chemin+'tour.tmp') then
   begin
    liste2.loadfromfile( chemin+'tour.tmp');
     str(liste2.count,bis);
    bis:='tour en cours : '+bis+' scores.';
   end;
if fileexists( chemin+'depl.tmp') then
   begin
   liste1.loadfromfile( chemin+'depl.tmp');
   n:=liste1.count div 4;
   str(n,bis);
   bis:='nombre de dplacements enregistrs : '+bis;
   if n=num-1 then bis:=bis+'OK' else bis:=bis+' *** ATTENTION ***';
   memo1.lines.add(bis);
   end;
if fileexists( chemin+'exclu.tmp') then
   begin
   liste1.loadfromfile( chemin+'exclu.tmp');
   memo1.lines.add('Exclusions enregistres :');
   memo1.lines.addstrings(liste1);
   end;
if fileexists( chemin+'penal.tmp') then
   begin
   liste1.loadfromfile( chemin+'penal.tmp');
   memo1.lines.add('Pnalits enregistres :');
   memo1.lines.addstrings(liste1);
   end;
liste1.free;
liste2.free;
memo1.lines.add(datetimetostr(now)+' : diagnostic termin.');
end;

end.
