unit Unit10;
 {visualiser les positions}
interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, Spin,unit3,unit7,unit8,sysutils,unit9;

type
  TBtnBottomDlg7 = class(TForm)
    OKBtn: TBitBtn;
    HelpBtn: TBitBtn;
    Label1: TLabel;
    SpinEdit1: TSpinEdit;
    Image1: TImage;
    SpinEdit2: TSpinEdit;
    Label2: TLabel;
    BitBtn1: TBitBtn;
    function position:integer;
    procedure FormActivate(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure HelpBtnClick(Sender: TObject);
    function Totalise(tour,orientation:integer):integer;
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  BtnBottomDlg7: TBtnBottomDlg7;
  fondecran:tbitmap;
implementation
uses tournoi;
{$R *.DFM}

function TBtnBottomDlg7.totalise(tour,orientation:integer):integer;
VAR ori:string;
 n,tempo,erreur,total:integer;
 chaine,numero:string;
begin
total:=0;
case orientation of
     0 : ori:='N';
     1 : ori:='E';
     2 : ori:='O';
     3 : ori:='S';
     end;
for n:=0 to depl.count-1 do
    begin
   
    chaine:=depl.strings[n];
    if  chaine[1]=ori then
        begin
        chaine:=copy(chaine,2,length(chaine)-1);
        numero:=copy(chaine,1,pos('=',chaine)-1);
        val(numero,tempo,erreur);
        if tempo<=tour then
           begin
           chaine:=copy(chaine,pos('=',chaine)+1,
           length(chaine)-pos('=',chaine));
           val(chaine,tempo,erreur);

           total:=total+tempo;
           end;
        end;
    end;

totalise:=total;
end;

function TBtnBottomDlg7.position:integer;
var idepl,res,itour,itable:integer;
    maxtable:integer;
    maxx,maxy:integer;
     chaine:string;
    erreur,vraitour:integer;
begin
val(btnrightdlg1.tour.text,vraitour,erreur);

{ ----------------------------------------------------------}
{ c'est ici que l'on va modifier pour les tours particuliers}
{ ----------------------------------------------------------}
maxtable:=form3.listbox1.items.count div 4;
if form3.listbox1.items.count mod 4>0 then maxtable:=maxtable+1;
itour:=spinedit1.value;
itable:=spinedit2.value;
maxx:=image1.picture.width;  {largeur}
maxy:=image1.picture.height; {hauteur}
{changer la fonte : fonte.size:=8}
image1.canvas.font.size:=12;

res:=itable-totalise(itour,0);{NORD}
{comparer itour avec vritable tour en cours
si itour est suprieur on ajoute idepl X diffrence }
idepl:=BtnRightDlg.spinedit1.value;{ <-- NORD }
if itour>vraitour then res:=res-(itour-VRAITOUR)*idepl;
while res<1 do res:=res+maxtable;
while res>maxtable do res:=res-maxtable;
str(res,chaine);chaine:='Nord '+chaine;
image1.canvas.textout((maxx-image1.canvas.textwidth(chaine)) div 2,0,chaine);
{centr en haut}
res:=itable-totalise(itour,2);{OUEST}
idepl:=BtnRightDlg.spinedit3.value; { <-- OUEST }
if itour>vraitour then res:=res-(itour-VRAITOUR)*idepl;
while res<1 do res:=res+maxtable;
while res>maxtable do res:=res-maxtable;
str(res,chaine);chaine:='Ouest '+chaine;
image1.canvas.textout(0,(maxy -image1.canvas.textheight(chaine))div 2,chaine);
          {align gauche, centr}

res:=itable-totalise(itour,1);{EST}
idepl:=BtnRightDlg.spinedit2.value; { <-- EST }
if itour>vraitour then res:=res-(itour-VRAITOUR)*idepl;
while res<1 do res:=res+maxtable;
while res>maxtable do res:=res-maxtable;
str(res,chaine);chaine:='Est '+chaine;
image1.canvas.textout((maxx-image1.canvas.textwidth(chaine)),
(maxy -image1.canvas.textheight(chaine))div 2,chaine);   {align droit,centr}

res:=itable-totalise(itour,3);{SUD}
idepl:=BtnRightDlg.spinedit4.value; { <-- SUD }
if itour>vraitour then res:=res-(itour-VRAITOUR)*idepl;
while res<1 do res:=res+maxtable;
while res>maxtable do res:=res-maxtable;
str(res,chaine);chaine:='Sud '+chaine;
image1.canvas.textout((maxx-image1.canvas.textwidth(chaine)) div 2,
maxy-image1.canvas.textheight(chaine),chaine);
{bas centr}
{reste  ajouter les noms}
position:=0;
end;

procedure TBtnBottomDlg7.FormActivate(Sender: TObject);
const speciaux: set of byte = [6,8,9,10,12,14,16,18,20];
var maxtable:integer;

begin
maxtable:=form3.listbox1.items.count div 4;
if form3.listbox1.items.count mod 4>0 then maxtable:=maxtable+1;
spinedit2.maxvalue:=maxtable;
if maxtable in speciaux then
application.messagebox('Pour les dplacements spciaux, utilisez seulement l''impression !','Attention',
mb_ok or mb_iconexclamation);
position;
if fileexists( chemin+'depl.tmp') then depl.loadfromfile( chemin+'depl.tmp');
end;

procedure TBtnBottomDlg7.SpinEdit1Change(Sender: TObject);
begin
image1.canvas.draw(1,1,fondecran);
position;
end;

procedure TBtnBottomDlg7.HelpBtnClick(Sender: TObject);
begin
application.helpjump('tournoi');
end;

procedure TBtnBottomDlg7.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if key=vk_f1 then application.helpjump('sommaire');
end;

procedure TBtnBottomDlg7.BitBtn1Click(Sender: TObject);
begin
btnbottomdlg20.showmodal;
end;

procedure TBtnBottomDlg7.FormCreate(Sender: TObject);

begin
fondecran:=tbitmap.create;
fondecran.handle:=loadbitmap(hinstance,makeintresource(1012));

end;

procedure TBtnBottomDlg7.FormDestroy(Sender: TObject);
begin
fondecran.free ;
end;

end.
