unit Unit12;
 {classement d'un tour}

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, ExtCtrls, Spin, Grids,unit3,unit8,
  unit6,sysutils,printers,initial//,unit20
  ;

type
  TBtnRightDlg2 = class(TForm)
    OKBtn: TBitBtn;
    HelpBtn: TBitBtn;
    Bevel1: TBevel;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    StringGrid1: TStringGrid;
    BitBtn1: TBitBtn;
    Edit1: TEdit;

    procedure SpinEdit1Change(Sender: TObject);
    function cherchenom(source:string):string;
    procedure retrie(methode:word);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure StringGrid1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure HelpBtnClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure StringGrid1SelectCell(Sender: TObject; Col, Row: Longint;
      var CanSelect: Boolean);
  private
    typtri:word;  { Private declarations }
  {pour trier par ordre alphabtique ou classement}
  public
    { Public declarations }
  end;

var
  BtnRightDlg2: TBtnRightDlg2;
  valprogress:longint;
implementation
uses tournoi;
{$R *.DFM}

procedure TBtnRightDlg2.retrie(methode:word);
var
ref,erreur,test:integer;
n,m:longint;
tempo:tstringlist;

begin
{ modification tstringlist au lieu de tstringgrid
 cette mthode fonctionne bien sauf scores voir plus bas}
tempo:=tstringlist.create;
case methode of
     0 : tempo.addstrings(stringgrid1.cols[0]);
     1 : tempo.addstrings(stringgrid1.cols[1]);
     2 : tempo.addstrings(stringgrid1.cols[2]);
     end;
tempo.delete(0);
if methode= 2 then
   begin{tri numrique}
    ref:=-32767;
    test:=-32767;
    m:=0;
    if tempo.count>1 then
    repeat
    for n:=m to tempo.count-1 do
        begin
        val(tempo.strings[n],ref,erreur);
        if ref>test then
           begin
           test:=ref;
           tempo.move(n,m);
           end;
        end;
        inc(m);
        test:=-32767;
     until m=tempo.count-1;
   end else
   begin
   if methode=1 then  {sauf colonne 1 qui est numrique tonnant...}
      begin
      m:=tempo.count;
      tempo.clear;
      if m>16 then
      begin
      for n:=1 to m div 4
      do tempo.add('Nord '+inttostr(n));
      for n:=1 to m div 4
      do tempo.add('Sud '+inttostr(n));
      for n:=1 to m div 4
      do tempo.add('Est '+inttostr(n));
      for n:=1 to m div 4
      do tempo.add('Ouest '+inttostr(n));
      end else
         begin      {cas de 3 ou 4 tables}
         for n:=1 to m do tempo.add(' Joueur n '+inttostr(n));
         end;
      end else
      tempo.sort;
   end;
if tempo.count>1 then
for n:=0 to tempo.count-1 do
{classement de tstringgrid par rapport  tstringlist}
    begin
    m:=n+1;
    while tempo.strings[n]<>stringgrid1.cells[methode,m]
    do inc(m);
    stringgrid1.cols[1].exchange(m,n+1);
    stringgrid1.cols[2].exchange(m,n+1);
    stringgrid1.cols[0].exchange(m,n+1);
    end;
tempo.free;
end;


procedure TBtnRightDlg2.SpinEdit1Change(Sender: TObject);
var

m,z,n:integer;
position,tmp:string;
erreur:integer;
tournum:integer;
chaine:string;
boucle:integer;
tempo:tstringlist;
begin
screen.cursor:=crhourglass;

tempo:=tstringlist.create;  {remplissage de mmoire ?}
chaine:=btnRightdlg1.tour.text;
val(chaine,tournum,erreur);
stringgrid1.cells[0,0]:='NOM';
stringgrid1.cells[1,0]:='POSITION';
stringgrid1.cells[2,0]:='SCORE';
if (tournum=spinedit1.value) and (fileexists(chemin+'tour.tmp')) then
begin
tempo.loadfromfile(chemin+'tour.tmp')
end
else begin
     str(spinedit1.value,chaine);
     chaine:='tour'+chaine+'.tmp';
     if fileexists(chemin+chaine) then
     tempo.loadfromfile(chemin+chaine);
     end;
boucle:=tempo.count; {les inscrits}
stringgrid1.rowcount:=boucle+1;

{c'est l que a se corse : 2 choix tour en cours ou tour antrieur}
{Faut-il avoir un stringlist temporaire ?}

for n:=1 to boucle do
    begin
    {la position}
    tmp:=tempo.strings[n-1];
    tmp:=copy(tmp,1,pos('=',tmp)-1);
    stringgrid1.cells[1,n]:=tmp;
    {le nom}
    stringgrid1.cells[0,n]:=cherchenom(stringgrid1.cells[1,n]);
    {le score}
    tmp:=tempo.strings[n-1];
    tmp:=copy(tmp,pos('=',tmp)+1,length(tmp)-pos('=',tmp));
    stringgrid1.cells[2,n]:=tmp;
    end;

if fileexists(chemin+'exclu.tmp') then
   begin
   tempo.loadfromfile(chemin+'exclu.tmp');
   for m:=0 to tempo.count-1 do   {pour chaque exclu}
        begin {cherchons son quivalent}
        position:=tempo.strings[m];
        z:=0;
        repeat
        inc(z);
        until (position=stringgrid1.cells[1,z]) or (z=stringgrid1.rowcount);
        if position=stringgrid1.cells[1,z] then
           begin
           stringgrid1.cells[2,z]:='EXCLU';
           {on a effac la ligne}
           end;
        end;

   end;
retrie(2);
{reste galement  supprimer "chaise vide"}
for n:=1 to boucle do
    begin
    tmp:=stringgrid1.cells[1,n];
    {AJOUT DU 01/04/2000}   {trois ou quatre tables !}
    if (stringgrid1.rowcount=13) or (stringgrid1.rowcount=17) then
       begin
       tmp:=' = '+tmp;
       tmp:=convertit(tmp);
       end;
    {FIN DE AJOUT DU 01/04/2000}
    if tmp[1]='N' then tmp:='Nord '+copy(tmp,2,length(tmp)-1);
    if tmp[1]='S' then tmp:='Sud '+copy(tmp,2,length(tmp)-1);
    if tmp[1]='E' then tmp:='Est '+copy(tmp,2,length(tmp)-1);
    if tmp[1]='O' then tmp:='Ouest '+copy(tmp,2,length(tmp)-1);
    stringgrid1.cells[1,n]:=tmp;
    {ajout du 27 avril 2000}
    if stringgrid1.cells[0,n]=' CHAISE VIDE' then
       stringgrid1.cells[2,n]:='SANS OBJET';
    {fin de l'ajout du 27 avril 2000}
    end;
tempo.free;
screen.cursor:=crdefault;
end;

function TBtnRightDlg2.cherchenom(source:string):string;
               {source est la zone N1 }
var avant,tmp:string;
    n,joueurs:integer;
begin
result:='';
{on va chercher dans form3.listbox1}
joueurs:=form3.listbox1.items.count;
for n:=1 to joueurs do
    begin
    tmp:=form3.listbox1.items[n-1];
    avant:=copy(tmp,1,pos('=',tmp)-1);

    if copy(tmp,length(tmp)-length(source)+1,length(source))=source
    then result:=avant;
    end;


end;


procedure TBtnRightDlg2.FormActivate(Sender: TObject);
var tournum,erreur:integer;
    chaine:string;

begin
typtri:=2; {par dfaut class dans l'ordre des scores}
chaine:=btnRightdlg1.tour.text;
val(chaine,tournum,erreur);
{il faut empcher un classement vide}
if form1.stringlist.count=0 then tournum:=tournum-1;
if tournum>1 then
   begin
   spinedit1.maxvalue:=tournum;
   spinedit1.value:=tournum;
   end else
       begin
       spinedit1.value:=1;
       spinedit1.enabled:=false;
       end;
spinedit1change(sender);
end;

procedure TBtnRightDlg2.StringGrid1MouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);

 var
  Column, Row: Longint;
begin
StringGrid1.MouseToCell(X, Y, Column, Row);
if row=0 then typtri:=column;
{ a marche !}
{retrier maintenant !}
retrie(typtri);
end;

procedure TBtnRightDlg2.BitBtn1Click(Sender: TObject);
var plargeur,phauteur:integer; {taille de la page}
    chligne,chaine:string; { de travail}
    comptligne,n:integer; {compteur}
    lahaut,labas:integer; {positions d'criture}
    nbpage:integer;   {de joueurs}

begin
screen.cursor:=crhourglass;
phauteur:=printer.pageheight-20;
plargeur:=printer.pagewidth-20;
printer.canvas.Font:=form1.fontdialog1.font;
lahaut:=phauteur-10;
str(spinedit1.value,chaine);
chaine:='Classement du tour n'+chaine+ ' Tournoi du '+btnbottomdlg.edit1.text
+' '+btnbottomdlg.edit2.text;
nbpage:=lahaut div (printer.canvas.textheight('Classement du tour n 1')+10);
{ATTENTION : nb joueurs par page}
printer.begindoc;
with printer.canvas do
begin
Pen.Width := 10;
Font:=form1.fontdialog1.font;
moveto(10,10);
lineto(10,phauteur);
lineto(plargeur,phauteur);
lineto(plargeur,10);
lineto(10,10);
Font.size:=font.size*2;
lahaut:=10+(textheight('Classement du tour n 1')) div 2;
labas:=(plargeur-textwidth(chaine)) div 2;
Textout(labas,lahaut,chaine);
moveto(10,10+2*textheight('Classement du tour n 1'));
lineto(plargeur,10+2*textheight('Classement du tour n 1'));
Font.size:=Font.size div 2;
comptligne:=3;
for n:=0 to stringgrid1.rowcount-1 do   {joueurs}
       begin
       str(n,chligne);
       comptligne:=comptligne+1;
       {modif du 22/11/99 recalibrer les colonnes}
       if n>0 then textout(20,(10+textheight('Ljste'))*comptligne,chligne);
       textout(100,(10+textheight('Ljste'))*comptligne,stringgrid1.cells[0,n]);
       textout(plargeur div 2,(10+textheight('Ljste'))*comptligne,stringgrid1.cells[1,n]);
       textout((plargeur div 4)*3,(10+textheight('Ljste'))*comptligne,stringgrid1.cells[2,n]);


       if comptligne=nbpage-1 then {page suivante}
          begin
          font.size:=8;
          {CopyRight}
          if form1.ouvrir1.enabled then
          textout(20,phauteur-50,'CopyRight V. BEUSELINCK, version enregistre')
          else textout(20,phauteur-50,'CopyRight V. BEUSELINCK, version non enregistre');
          {numro de page}
          str(printer.pagenumber,chaine);
          chaine:='Page '+chaine;
          textout(plargeur-textwidth(chaine)-100,phauteur-50,chaine);
          font.size:=form1.fontdialog1.font.size;
          printer.newpage;
          moveto(10,10);
          lineto(10,phauteur);
          lineto(plargeur,phauteur);
          lineto(plargeur,10);
          lineto(10,10);
          comptligne:=0;
          end;
       end;
{dernire page, numro de page}
font.size:=8;
{CopyRight}
if form1.ouvrir1.enabled then
          textout(20,phauteur-50,'CopyRight V. BEUSELINCK, version enregistre')
          else textout(20,phauteur-50,'CopyRight V. BEUSELINCK, version non enregistre');

{numro de page}
str(printer.pagenumber,chaine);
chaine:='Page '+chaine;
textout(plargeur-textwidth(chaine)-100,phauteur-50,chaine);
font.size:=form1.fontdialog1.font.size;
end;
printer.enddoc;  {fin de l'impression}
{impression des fiches classes}
screen.cursor:=crdefault;
end;


procedure TBtnRightDlg2.HelpBtnClick(Sender: TObject);
begin
application.helpjump('index');
end;

procedure TBtnRightDlg2.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if key=vk_f1 then application.helpjump('sommaire');
end;

procedure TBtnRightDlg2.StringGrid1SelectCell(Sender: TObject; Col,
  Row: Longint; var CanSelect: Boolean);

var chaine :string;
begin
str(row,chaine);
if row=1 then edit1.text:=chaine+'er' else
   edit1.text:=chaine+'me';

end;

end.
