unit Unit9;
 {impression des positions}
interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, Spin, ExtCtrls,unit3,printers,unit7;

type
  TBtnBottomDlg20 = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    Bevel1: TBevel;
    Label1: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    SpinEdit1: TSpinEdit;
    SpinEdit2: TSpinEdit;
    Label7: TLabel;
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure HelpBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    function fposition(joueur:string;tour:word):string;
    function position(joueur:string;tour:word):integer;
    function troisquatre(joueur,tour:integer):string;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  BtnBottomDlg20: TBtnBottomDlg20;
 maxtable:integer;
implementation
uses unit10,tournoi;
{$R *.DFM}

procedure TBtnBottomDlg20.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
if key=vk_f1 then application.helpjump('imposit');
end;

procedure TBtnBottomDlg20.HelpBtnClick(Sender: TObject);
begin
application.helpjump('imposit');
end;

procedure TBtnBottomDlg20.FormActivate(Sender: TObject);

begin
{nombre de tables}
maxtable:=form3.listbox1.items.count div 4;
if form3.listbox1.items.count mod 4>0 then maxtable:=maxtable+1;
spinedit1.value:=maxtable;
end;

function TBtnBottomDlg20.fposition(joueur:string;tour:word):string;
 var chaine:string;
 numero,erreur:integer;
begin
{calcul de la position et transformation en chaine}
fposition:='255';
str(position(joueur,tour),chaine);
{SI 3 4 TABLES TYPE FFT ALORS CHANGER CELA}
if (btnrightdlg.checkbox1.checked) and
(spinedit1.value<5) then
begin
val(copy(joueur,2,length(joueur)-1),numero,erreur);
numero:=(numero-1)*4;
if joueur[1]='N' then numero:=numero+1;
if joueur[1]='S' then numero:=numero+2;
if joueur[1]='E' then numero:=numero+3;
if joueur[1]='O' then numero:=numero+4;
chaine:=troisquatre(numero,tour);
end;
fposition:=chaine;
end;

function TBtnBottomDlg20.troisquatre(joueur,tour:integer):string;
{inscription des numros de joueur  trois ou quatre tables}
var chaine:array[1..6,1..16] of char;
    tempo:string;
    posit:word;

    carac:char;
begin
   chaine[1]:='123456789:;<=>?@';
   chaine[2]:='18:?@97263=<;>45';
   chaine[3]:='17<>?96482=;:@35';
   chaine[4]:='16;@>98374=:<?25';
   chaine[5]:='159+26:>37;?48<@';
   chaine[6]:='123456789:;<=>?@';
maxtable:=spinedit1.value;
if maxtable=3 then
   begin
   chaine[1]:='123456789:;<=>?@';
   chaine[2]:='187:52;<9346=>?@';
   chaine[3]:='19537;4:26<8=>?@';
   chaine[4]:='127<56;39:48=>?@';
   chaine[5]:='186;524:93<7=>?@';
   chaine[6]:='19725;4<:638=>?@';
   end;
carac:=chaine[1,joueur];
posit:=pos(carac,chaine[tour]);
str(((posit+3) div 4), tempo);
if posit mod 4 = 0 then tempo:=tempo+' Ouest';
if posit mod 4 = 1 then tempo:=tempo+' Nord';
if posit mod 4 = 2 then tempo:=tempo+' Sud';
if posit mod 4 = 3 then tempo:=tempo+' Est';
troisquatre:=tempo;
end;

procedure TBtnBottomDlg20.OKBtnClick(Sender: TObject);

       {imprimer la liste des joueurs}
var plargeur,phauteur:integer; {taille de la page}
    depart,longnom,chaine,place:string; { de travail}
    lgnom,comptligne,n:integer; {compteurs}
    numero,erreur:integer; {cas des 3 ou 4  tables}
    lahaut,labas:integer; {positions d'criture}
    nbpage,nombre:integer;   {de joueurs}
    colonne:integer; {taille d'une colonne}
    table,tour,ntour:word;
begin
screen.cursor:=crhourglass;
tour:=spinedit2.value;
table:=spinedit1.value;
nombre:=form3.listbox1.items.count;    {nombre de joueurs}
phauteur:=printer.pageheight-20;
plargeur:=printer.pagewidth-20;
printer.canvas.Font:=form1.fontdialog1.font;
lahaut:=phauteur-10;
nbpage:=lahaut div (printer.canvas.textheight('Liste des joueurs')+10);
{ATTENTION : nb joueurs par page}
lgnom:=0;
for n:=0 to nombre -1 do   {joueurs}
       begin
       chaine:=form3.listbox1.items[n];
       if length(chaine)>lgnom then
          begin
          longnom:=chaine;
          lgnom:=length(chaine);
          end;
       end;
lgnom:=printer.canvas.textwidth(longnom)+50;
colonne:=(plargeur-lgnom-printer.canvas.textwidth('OUEST 256000 000')) div spinedit2.value;
printer.begindoc;
with printer.canvas do
begin
Pen.Width := 10;
Font:=form1.fontdialog1.font;
moveto(10,10);
lineto(10,phauteur);
lineto(plargeur,phauteur);
lineto(plargeur,10);
lineto(10,10);
Font.size:=font.size*2;
lahaut:=10+(textheight('Liste des joueurs')) div 4;
labas:=(plargeur-textwidth('Liste des positions')) div 2;
Textout(labas,lahaut,'Liste des positions');
moveto(10,10+2*textheight('Liste des joueurs'));
lineto(plargeur,10+2*textheight('Liste des joueurs'));
Font.size:=Font.size div 2;
{amnagement en-tte}
textout(100,10+(textheight('Liste des joueurs') div 2)*5,'NOM');
textout(lgnom,10+(textheight('Liste des joueurs') div 2)*5,'POSITION');
for ntour:=1 to tour do
   begin
   str(ntour,chaine);
   chaine:='tour '+chaine;
   comptligne:=lgnom+printer.canvas.textwidth('OUEST 25600')+colonne*(ntour-1)+(colonne div 2);
   comptligne:=comptligne-printer.canvas.textwidth(chaine) div 2;
   textout(comptligne,10+(textheight('Liste des joueurs') div 2)*5,chaine);
   end;
comptligne:=3;
for n:=0 to nombre -1 do   {joueurs}
       begin
       comptligne:=comptligne+1;
       {remplacer chaine par listbox1 modifi}
       chaine:=form3.listbox1.items[n];
       if pos('=',chaine)>0 then
          begin
          place:=copy(chaine,pos('=',chaine)+2,length(chaine)-pos('#',chaine)-1);
          depart:=place;
          chaine:=copy(chaine,1,pos('=',chaine)-1);
          {CAS A 3 OU 4 TABLES + FFT}
          if (table<5) and (btnrightdlg.checkbox1.checked) then
              begin
          val(copy(place,2,length(place)-1),numero,erreur);
          numero:=(numero-1)*4;
          if place[1]='N' then numero:=numero+1;
          if place[1]='S' then numero:=numero+2;
          if place[1]='E' then numero:=numero+3;
          if place[1]='O' then numero:=numero+4;
          str(numero,place);
          place:='n '+place;
          end else begin
          if place[1]='N' then
             begin
             place:=copy(place,2,length(place)-1);
             place:='Nord '+place;
             end;
          if place[1]='S' then
             begin
             place:=copy(place,2,length(place)-1);
             place:='Sud '+place;
             end;
          if place[1]='O' then
             begin
             place:=copy(place,2,length(place)-1);
             place:='Ouest '+place;
             end;
          if place[1]='E' then
             begin
             place:=copy(place,2,length(place)-1);
             place:='Est '+place;
             end;
           end;{ if table 3 ou 4}
          {place}
          textout(lgnom,(10+textheight('Ljste'))*comptligne,place);
          end;
       {nom}
       textout(100,(10+textheight('Ljste'))*comptligne,chaine);
       for ntour:=1 to tour do
       textout(lgnom+printer.canvas.textwidth('OUEST 25600')+colonne*(ntour-1)+(colonne div 2),
               (10+textheight('Ljste'))*comptligne,fposition(depart,ntour));
       {fin d'ajout des positions successives}
       if (comptligne mod 5=4) and (comptligne>5) then
          begin
          Pen.Width := 2;
          moveto(10,(10+textheight('LJste'))*comptligne);
          lineto(plargeur,(10+textheight('LJste'))*comptligne);
          Pen.Width := 10;
          end;
       if comptligne=nbpage-1 then {page suivante}
          begin
          font.size:=8;
          {CopyRight}
          textout(20,phauteur-50,'CopyRight V. BEUSELINCK, version enregistre');
          {numro de page}
          str(printer.pagenumber,chaine);
          chaine:='Page '+chaine;
          textout(plargeur-textwidth(chaine)-100,phauteur-50,chaine);
          font.size:=form1.fontdialog1.font.size;
          printer.newpage;
          moveto(10,10);
          lineto(10,phauteur);
          lineto(plargeur,phauteur);
          lineto(plargeur,10);
          lineto(10,10);
          comptligne:=0;
          end;
       end;
{dernire page, numro de page}
font.size:=8;
{CopyRight}
textout(20,phauteur-50,'CopyRight V. BEUSELINCK, version enregistre');
{numro de page}
str(printer.pagenumber,chaine);
chaine:='Page '+chaine;
textout(plargeur-textwidth(chaine)-100,phauteur-50,chaine);
font.size:=form1.fontdialog1.font.size;
end;
printer.enddoc;  {fin de l'impression}
close;
screen.cursor:=crdefault;
end;

function TBtnBottomDlg20.position(joueur:string;tour:word):integer;
const speciaux: set of byte = [6,8,9,10,12,14,16,18,20];
var idepl,res,itable:integer;

    erreur:integer;
     chaine:string;
  
   fftok:boolean;
begin        {joueur='N2'}
if btnrightdlg.checkbox1.checked then fftok:=true else fftok:=false;
maxtable:=spinedit1.value;
chaine:=copy(joueur,2,length(joueur)-1);
val(chaine,itable,erreur) {table de dpart} ;
{le idepl est ok y compris avec fft hors spciaux}
case joueur[1] of
     'N' : idepl:=BtnRightDlg.spinedit1.value;{ <-- NORD }
     'E' : idepl:=BtnRightDlg.spinedit2.value; { <-- EST }
     'O' : idepl:=BtnRightDlg.spinedit3.value; { <-- OUEST }
     'S' : idepl:=BtnRightDlg.spinedit4.value; { <-- SUD }
     end;
{modifier idepl pour Ouest si deplacement special}
if fftok then
if (maxtable in speciaux) and (joueur[1]='O') then idepl:=-1;
res:=itable+(tour-1)*idepl; {cas gnral}
if fftok and (maxtable in speciaux) then
   begin

   if (maxtable=18) or (maxtable=20) or (maxtable=16) then
      if (tour>5) and (joueur[1]='O') then
         res:=res-2;

   if (maxtable=16) or (maxtable=14) or (maxtable=9) then
      if (tour>4) and (joueur[1]='O') then
         res:=res-2;

   if (maxtable=12) or (maxtable=9) then
      if (tour>3) and (joueur[1]='O') then
         res:=res-2;

   if maxtable=10 then
      if (tour>5) and (joueur[1]='E') then
         res:=res+1;
   if maxtable=10 then
      if (tour>5) and (joueur[1]='O') then
         res:=res-1;

   if maxtable=9 then
      if (tour>3) and (joueur[1]='E') then
         res:=res+1;

   if maxtable=9 then
      if (tour>4) and (joueur[1]='E') then
         res:=res+1;

   if maxtable=8 then
      if (tour>4) and (joueur[1]='E') then
         res:=res+2;
   if maxtable=8 then
      if (tour>5) and (joueur[1]='E') then
         res:=res+2;
   if maxtable=8 then
      if (tour>4) and (joueur[1]='S') then
         res:=res+1;

   if maxtable=6 then
      if (tour>2) and (joueur[1]='E') then
         res:=res+1;
   if maxtable=6 then
      if (tour>3) and (joueur[1]='O') then
         res:=res-1;




   end;
{borner de 1  maxtable}
while res>maxtable do res:=res-maxtable;
while res<1 do res:=res+maxtable;

position:=res;
end;




end.
